package common.dimension;

public final class Moon extends Dimension {
	Moon(int id, String name) {
		super(id, name);
	}
	
	public Moon(int id, String name, int sky, int fog, long orbit, long rotation, float gravity, float temperature, int brightness) {
		super(id, name);
		this.setPhysics(orbit, rotation, 0.0f, gravity, temperature, brightness);
		this.setTimeQualifier(7);
		this.setStarBrightness(0.75f).setDeepStarBrightness(0.75f);
		this.setSkyColor(sky).setFogColor(fog);
	}

	public final DimType getType() {
		return DimType.MOON;
	}
}
